kndbgstream Class Reference
Debug message generators

`#include <kdebug.h>`

## Public Member Functions

| kndbgstream ()
kndbgstream & | operator<< (short int)
kndbgstream & | operator<< (unsigned short int)
kndbgstream & | operator<< (char)
kndbgstream & | operator<< (unsigned char)
kndbgstream & | operator<< (int)
kndbgstream & | operator<< (unsigned int)
void | flush ()
kndbgstream & | operator<< (QChar)
kndbgstream & | operator<< (const QString &)
kndbgstream & | operator<< (const QCString &)
kndbgstream & | operator<< (const char *)
kndbgstream & | operator<< (const void *)
kndbgstream & | operator<< (void *)
kndbgstream & | operator<< (double)
kndbgstream & | operator<< (long)
kndbgstream & | operator<< (unsigned long)
kndbgstream & | operator<< (Q_LLONG)
kndbgstream & | operator<< (Q_ULLONG)
kndbgstream & | operator<< (KNDBGFUNC)
kndbgstream & | operator<< (const QWidget *)
kndbgstream & | operator<< (QWidget *)
kndbgstream & | form (const char *,...)
kndbgstream & | operator<< (const QDateTime &)
kndbgstream & | operator<< (const QDate &)
kndbgstream & | operator<< (const QTime &)
kndbgstream & | operator<< (const QPoint &)
kndbgstream & | operator<< (const QSize &)
kndbgstream & | operator<< (const QRect &)
kndbgstream & | operator<< (const QRegion &)
kndbgstream & | operator<< (const KURL &)
kndbgstream & | operator<< (const QStringList &)
kndbgstream & | operator<< (const QColor &)
kndbgstream & | operator<< (const QPen &)
kndbgstream & | operator<< (const QBrush &)
kndbgstream & | operator<< (const QVariant &)
kndbgstream & | operator<< (const QByteArray &)
template<class T >
kndbgstream & | operator<< (const QValueList< T > &)

## Detailed Description

kndbgstream is a dummy variant of kdbgstream. All functions do nothing.

See also
  kndDebug()

Definition at line 448 of file kdebug.h.

## Constructor & Destructor Documentation

kndbgstream::kndbgstream | ( |  | ) |

inline

Default constructor.

Definition at line 451 of file kdebug.h.

## Member Function Documentation

void kndbgstream::flush | ( |  | ) |

inline

Does nothing.

Definition at line 486 of file kdebug.h.

kndbgstream& kndbgstream::form | ( | const char * | ,
|  |  | ...
| ) |  |

inline

Does nothing.

Returns
  this stream

Definition at line 557 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | short | int | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 457 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | unsigned short | int | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 462 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | char |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 467 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | unsigned | char | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 472 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | int |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 477 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | unsigned | int | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 482 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | QChar |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 491 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | const QString & |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 496 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | const QCString & |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 501 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | const char * |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 506 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | const void * |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 511 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | void * |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 516 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | double |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 521 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | long |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 526 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | unsigned | long | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 531 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | Q_LLONG |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 536 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | Q_ULLONG |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 541 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | KNDBGFUNC |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 546 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | const QWidget * |  | ) |

inline

Does nothing.

Returns
  this stream

Definition at line 551 of file kdebug.h.

The documentation for this class was generated from the following file:

- kdebug.h

KDE Home | KDE Accessibility Home | Description of Access Keys